* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  color:#222341;
}

body {
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-image: url(../asset/bgminototest.png);
  background-position: initial;
  background-size: contain;
}

/*Box start */
h1{
  font-size: 65px;
  font-style: oblique;
  color: #222341;
}

.board-start {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-items: center;
  justify-content: center;
  margin: 10px auto 20px;
  border-radius: 10px;
  background-color: #E9D2A8;
  border: 1px solid #ba6940;
  padding: 2%;
}

.board-start-title {
  color: #222341;
  font-size: large;
  font-weight: normal;
  text-align: center;
  padding: 3%;
}

.game {
  display: flex;
  justify-content: center;
  background-color: #ffffff7d;
  border-radius: 10px;
  padding: 1% 2%;
}

/*Boite info qui est sur le coté*/

.info-game {
  display: flex;
  flex-direction: column;
  height: min-content;
  align-items: center;
  border-radius: 10px;
  padding: 1% 1%;
  border: #ba6940 solid 2px;
}

.head {
  display: flex;
  flex-direction: row;
  justify-content: center;
  height: fit-content;
  padding: 1% 1%;
  margin: 15% auto;
}

.move-container,
.score-container {
  gap: 10px;
  display: flex;
  background-color: #e9d1a9;
  border-radius: 20px;
  padding: 5px 10px;
  margin: 1% 1%;
  border: 1px solid #ba6940;
  font-size: large;
}

.monster-find {
  display: flex;
  flex-direction: column;
}

h2 {
  display: flex;
  justify-content: center;
  color:#222341;
}

.monster-summarize {
  display: flex;
  flex-direction: column;
  align-items: center;
}

#monster-name{
  font-size: x-large;
  color:#222341;
}

.restart-container-game {
  gap: 10px;
  margin: 15% auto;
  padding: 5px 10px;
  display: flex;
  height: fit-content;
}

img {
  width: 100%;
  height: auto;
}

/*Les différents boards */

.board-container16 {
  display: grid;
  justify-items: center;
  justify-content: center;
  grid-template-columns: repeat(4, minmax(140px, 140px));
  grid-template-rows: repeat(4, minmax(140px, 140px));
  grid-gap: 10px;
  padding: 1% 1%;
}

.board-container28 {
  display: grid;
  justify-items: center;
  justify-content: center;
  padding: 1% 1%;
  grid-template-columns: repeat(7, minmax(120px, 120px));
  grid-template-rows: repeat(4, minmax(120px, 120px));
  grid-gap: 10px;
  border-radius: 10px;
}

.board-container36 {
  display: grid;
  justify-items: center;
  justify-content: center;
  padding: 1% 1%;
  grid-template-columns: repeat(9, minmax(120px, 120px));
  grid-template-rows: repeat(4, minmax(120px, 120px));
  grid-gap: 10px;
  border-radius: 10px;
}

.board-container60 {
  display: grid;
  justify-items: center;
  justify-content: center;
  padding: 1% 1%;
  grid-template-columns: repeat(10, minmax(90px, 90px));
  grid-template-rows: repeat(6, minmax(90px, 90px));
  grid-gap: 10px;
  border-radius: 10px;
}

/* réglage des cards*/
.card {
  display: contents;
  background-color: transparent;
  width: 100%;
  perspective: 1000px;
  /*Fait l'effet 3D du mouvement de la card*/
}

.card-container {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 0.8s;
  transform-style: preserve-3d;
  position: relative;
  transform-origin: center right;
  border: 2px solid #ba6940;
  border-radius: 10px;
}

/* Position  des deux cotés */
.card-front,
.card-back {
  border-radius: 10px;
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
}

/* style de l'avant de la carte */
.card-front {
  background-color: rgb(255, 255, 255);
}

/* Style du dos de la carte */
.card-back {
  background-color: rgb(255, 255, 255);
  transform: rotateY(180deg);
}

.is-flipped .card-container {
  transform: translateX(-100%) rotateY(-180deg);
}

/* réglage des boutons*/
.button-game-restart,
.button-result-restart {
  gap: 10px;
  display: flex;
  background-color: #E7DCD5;
  padding: 5px 10px;
  margin: 1% 1%;
  font-size: large;
  color:#222341;
}

.board-start button {
  background-color: #E7DCD5;
  padding: 2%;
  margin: 1%;
  width: 30%;
  font-size: large;
  color:#222341;
}

/* Boite de résultat*/
.board-result {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-items: center;
  justify-content: center;
  margin: 10px auto 20px;
  border-radius: 10px;
  text-align: center;
  background-color: #e9d2a8;
  border: 1px solid #ba6940;
  padding: 3%;
  width: 30% auto;
}

.board-result-title {
  display: flex;
  flex-direction: column;
  width: 100%;
  font-size: large;
}

h3{
  font-size: 70px;
  color:#222341;
}

.board-result-title p{
  padding: 10px 0px;
}

.restart-container {
  gap: 10px;
  margin: 3% auto;
  padding: 5px 10px;
  display: flex;
  height: fit-content;
}

/* Classe */

.hidden {
  display: none;
}
